local mod = ...



-- Asset -------------------------------------------------------------------------------------
mod:registerAssetId("models/Authority2.fbx/Prefab/ChancellorMaleFront", "PREFAB_AUTHORITY_CHANCELLOR_MALE_FRONT")
mod:registerAssetId("models/Authority2.fbx/Prefab/ChancellorFemaleBelt", "PREFAB_AUTHORITY_CHANCELLOR_FEMALE_BELT")
mod:registerAssetId("models/Authority2.fbx/Prefab/ChancellorFemaleFront", "PREFAB_AUTHORITY_CHANCELLOR_FEMALE_FRONT")

mod:registerAssetId("models/Authority2.fbx/Prefab/MessengerMaleHat", "PREFAB_AUTHORITY_CHANCELLOR_ASSISTANT_MALE_HAT")
mod:registerAssetId("models/Authority2.fbx/Prefab/MessengerFemaleHat", "PREFAB_AUTHORITY_CHANCELLOR_ASSISTANT_FEMALE_HAT")



-- Job: Chancellor -------------------------------------------------------------------------------------
mod:register({
	DataType = "JOB",
	Id = "JOB_AUTHORITY_CHANCELLOR",
	JobName = "JOB_AUTHORITY_CHANCELLOR_NAME",
	JobDescription = "JOB_AUTHORITY_CHANCELLOR_DESC",
	IsLockedByDefault = false,
	DefaultBehavior = "BEHAVIOR_GATHER",
    ProductionDelay = 10.0,
	AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
	CharacterSetup = {
		DataType = "CHARACTER_SETUP",
        -- RightHandObject = {
		-- 	DataType = "HAND_OBJECT",
        --     Model = "PREFAB_TOOL_GUARD_SPEAR"
        -- },
        MaleBeltList = {
            "PREFAB_AUTHORITY_BLANK",
        },
        MaleFrontList = {
            "PREFAB_AUTHORITY_CHANCELLOR_MALE_FRONT",
        },
        FemaleBeltList = {
            "PREFAB_AUTHORITY_CHANCELLOR_FEMALE_BELT",
        },
        FemaleFrontList = {
            "PREFAB_AUTHORITY_CHANCELLOR_FEMALE_FRONT",
        },
		WalkAnimation = "WALKING",
		IdleAnimation = "IDLE"
	}
})

mod:override({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_AUTHORITY_CHANCELLOR"
    }
})

mod:override({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_AUTHORITY_CHANCELLOR"
    }
})

mod:override({
    Id = "COMMONER",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_AUTHORITY_CHANCELLOR"
    }
})

mod:override({
    Id = "CITIZEN",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_AUTHORITY_CHANCELLOR"
    }
})



-- Job: Chancellor's Assistant -------------------------------------------------------------------------------------
mod:register({
	DataType = "JOB",
	Id = "JOB_AUTHORITY_CHANCELLOR_ASSISTANT",
	JobName = "JOB_AUTHORITY_CHANCELLOR_ASSISTANT_NAME",
	JobDescription = "JOB_AUTHORITY_CHANCELLOR_ASSISTANT_DESC",
	IsLockedByDefault = false,
	DefaultBehavior = "BEHAVIOR_GATHER",
    ProductionDelay = 60.0,
	AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
	CharacterSetup = {
		DataType = "CHARACTER_SETUP",
        -- RightHandObject = {
		-- 	DataType = "HAND_OBJECT",
        --     Model = "PREFAB_TOOL_GUARD_SPEAR"
        -- },
        MaleHatList = {
            "PREFAB_AUTHORITY_CHANCELLOR_ASSISTANT_MALE_HAT",
        },
        FemaleHatList = {
            "PREFAB_AUTHORITY_CHANCELLOR_ASSISTANT_FEMALE_HAT",
        },
		WalkAnimation = "WALKING",
		IdleAnimation = "IDLE"
	}
})

mod:override({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_AUTHORITY_CHANCELLOR_ASSISTANT"
    }
})

mod:override({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_AUTHORITY_CHANCELLOR_ASSISTANT"
    }
})

mod:override({
    Id = "COMMONER",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_AUTHORITY_CHANCELLOR_ASSISTANT"
    }
})

mod:override({
    Id = "CITIZEN",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_AUTHORITY_CHANCELLOR_ASSISTANT"
    }
})



-- Resource: Directive (Chancery) -------------------------------------------------------------------------------------
mod:registerAssetId("icons/DirectiveChancery.png", "ICON_DIRECTIVE_CHANCERY", "ATLAS_CELL")

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_DIRECTIVE_CHANCERY",
	ResourceName = "RESOURCE_DIRECTIVE_CHANCERY_NAME",
	Icon = "ICON_DIRECTIVE_CHANCERY",
	ResourceTypeList = { "RESOURCE_TYPE_AUTHORITY" },
	IsTradable = false,
    DisplayInInventory = false,
	DisplayInToolbar = false,
	OrderId = 0
})



-- Building Function: Chancery -------------------------------------------------------------------------------------
mod:register({
    DataType = "BUILDING_FUNCTION_WORKPLACE",
    Id = "BUILDING_FUNCTION_AUTHORITY_CHANCERY",
	Name = "BUILDING_FUNCTION_AUTHORITY_CHANCERY_NAME",
	HasMaximumInstance = true,
	MaximumInstanceAllowed = 1,
	WorkerCapacity = 1,
	UpkeepPerWorker = {
		{
			Resource = "GOLD_COINS",
			Quantity = 10
		}
	},
    RelatedJob = { 
        Job = "JOB_AUTHORITY_CHANCELLOR", 
        Behavior = "BEHAVIOR_GATHER"
    },
    InputInventoryCapacity = {
        { Resource = "RESOURCE_MESSAGE", Quantity = 1 },
	},
    ResourceListNeeded = {
        { Resource = "RESOURCE_MESSAGE", Quantity = 1 },
	},
	ResourceProduced = {
        { Resource = "RESOURCE_MESSAGE", Quantity = 1 },
    }
})



-- Building Function: Chancery's Assistant -------------------------------------------------------------------------------------
mod:register({
    DataType = "BUILDING_FUNCTION_WORKPLACE",
    Id = "BUILDING_FUNCTION_AUTHORITY_CHANCERY_ASSISTANT",
	Name = "BUILDING_FUNCTION_AUTHORITY_CHANCERY_ASSISTANT_NAME",
	HasMaximumInstance = true,
	MaximumInstanceAllowed = 1,
	WorkerCapacity = 3,
	UpkeepPerWorker = {
		{
			Resource = "GOLD_COINS",
			Quantity = 2
		}
	},
    RelatedJob = { 
        Job = "JOB_AUTHORITY_CHANCELLOR_ASSISTANT", 
        Behavior = "BEHAVIOR_WORK"
    },
    InputInventoryCapacity = {
        { Resource = "RESOURCE_WAGE", Quantity = 50 },
        { Resource = "RESOURCE_MESSAGE", Quantity = 5 },
	},
    ResourceListNeeded = {
        { Resource = "RESOURCE_WAGE", Quantity = 5 },
        { Resource = "RESOURCE_MESSAGE", Quantity = 1 },
	},
	ResourceProduced = {
        { Resource = "RESOURCE_AUTHORITY", Quantity = 1 },
    }
})



-- Building Function List: Lord Manor (OVERRIDE) -------------------------------------------------------------------------------------
mod:override({
	Id = "BUILDING_FUNCTION_LIST_LORD_MANOR",
	AssetFunctionList = {
		Action = "APPEND",
		"BUILDING_FUNCTION_AUTHORITY_CHANCERY"
	}
})

